/*
House3D Tools 1.0
Convert .max to h3d
Dev by thanhlx
*/
(
	macroScript H3DTools
	enabledIn:#("max")
	category:"H3DTools"
	InternalCategory:"H3DTools"
	buttonText:"House3D Tools"
	tooltip:"House3D Tools"
	(
		on execute do
		(
			try
			(
				filein (pathConfig.appendPath (getDir #scripts) "H3D/win.mse")
			)
			catch
			(
				print "fileIn H3D/win.mse error"
				print (getCurrentException())
			)
		)
	)
	
	fn setupRMenu = 
	(
		local quadMenu = menuMan.getViewportRightClickMenu #nonePressed
		local menu=quadMenu.getMenu 1
		
		if menuMan.registerMenuContext 0x7f5acd95 then 
		(
			menu.addItem (menuMan.CreateSeparatorItem()) -1
			local theActionItem = menuMan.createActionItem "H3DTools" "H3DTools"
			menu.addItem theActionItem -1
		)
	)
	
	global svjMaxLib
	global __gDebugMode = false
	local portal = pathConfig.appendPath (getDir #scripts) "H3D"
	local msExt = ".mse"
	if __gDebugMode then
	(
		print "Debug Mode"
		portal = @"F:\H3D\1.0\scripts\H3D"
		msExt = ".ms"
	)
	
	try
	(
		filein (pathConfig.appendPath portal ("lib" + msExt))
	)
	catch
	(
		print (getCurrentException())
	)
	
	setupRMenu()
	print "H3D init"
)